Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document
Class DocumentPk

    java.lang.Object
      com.bea.p13n.content.ContentPk
          com.bea.p13n.content.document.DocumentPk

All Implemented Interfaces:
  Comparable, Serializable

Deprecated. Use java.lang.String instead.

public class DocumentPk
extends ContentPk
implements Serializable

The primary key class for a Document.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.content.ContentPk
`identifier`

Constructor Summary
`DocumentPk()` Deprecated. Default constructor.
`DocumentPk(String identifier)` Deprecated. Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(Object o)` Deprecated. Implements to compare the object against the identifier.
`int` | `hashCode()` Deprecated. Override to use the hashcode of the identifier.
`String` | `toString()` Deprecated. Returns the identifier.

Methods inherited from class com.bea.p13n.content.ContentPk
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentPk

    public DocumentPk()

  Deprecated.
  Default constructor.

### DocumentPk

    public DocumentPk(String identifier)

  Deprecated.
  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### compareTo

    public int compareTo(Object o)

  Deprecated.
  Implements to compare the object against the identifier.

  Specified by:
    `compareTo` in interface `Comparable`
  Overrides:
    `compareTo` in class `ContentPk`

### hashCode

    public int hashCode()

  Deprecated.
  Override to use the hashcode of the identifier.

  Overrides:
    `hashCode` in class `ContentPk`

### toString

    public String toString()

  Deprecated.
  Returns the identifier.

  Overrides:
    `toString` in class `ContentPk`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved